WordPress.org

Ready to get started?Download WordPress

Plugin Reviews

Image Zoom

Allow to dynamically zoom on images in posts/pages/...

12

Average Rating
4.3 out of 5 stars
This plugin messed up my pictures on my site!!
By ,

After I installed this plugin--I didn't do anything other than install it and pictures I already had on my site got messed up. I uninstalled the plugin to hopefully at least get things back to normal and my gallery didn't work anymore and I lost some of my pictures from their original postings completely!! DON'T RECOMMEND!

Easy and simple.
By , for WP 3.5.1

Simple and very easy to use.

simple, clean, user-friendly!
By , for WP 3.5.1

After some issues with Chrome, the plugin now works great! Perhaps a useful addition would be having the ability to make the "clipped dimensions of the zoomed image" dependent on screen resolution, and to be able to simply turn the plugin off on some images.

Further: simple, clean, user-friendly!

Good with continuing improvement
By ,

Good plugin with continuing improvement by the author. Thank you.

One request, could you please move the settings into the settings portion of the Admin panel. Currently they appear under the Comments in the left side bar of Admin.

Best Image Zoom/Lightbox Plugin Out There
By , for WP 3.5.1

Having tried heaps of different lightobx and image zooming plugins, this one seems to be the best. Its very lightweight, simple to use and does exactly what it says on the tin. Highly recommended!

East and great!
By , for WP 3.5

Really easy to install and once installed it adds great view of your pics! Great support as well, I asked for a feature that I needed and shortly after it was added into the plug-in, doesn't get better then that! Cheers Sed Lex for a great plug-in!

Works best!
By , for WP 3.5

I know what I am saying because I'm actually a web designer.
This plugin works perfect on my site. The author is also helpful, if you have any questions, address to him. He replies fast! ;)

Recommended
By , for WP 3.5.1

I had a couple of issues with the plugin that the developer sorted out for me. Recommended.

Will not activate
By , for WP 3.5

Will not activate

This plugin is vulnerable!
By , for WP 3.5

people! dont use this plugin! its vulnerable and your website will be hacked! image-zoom.php file is really vulnerable, if you install it this plugin will make your website hackable! take my advice and dont install plugin! thanks and gl

[Please stop posting in uppercase. It's the electronic equivalent of shouting and is considered quite rude. Post de-capped.]

You must log in to submit a review. You can also log in or register using the form near the top of this page.